1. Yurek
  2. Конструктивные и объемно планировочные решения
  3. 26.03.2012
  4.  Подписаться через email
Извините если уже бьіло, я новичок на форуме, да и с Ревитом недавно начал знакомиться. Работаю в архикаде больше 5ти лет, но начал изучать ревит и он мне нравится. Возникло пару вопросов: 1. Можно сделать чтобьі ревит автоматически переносил в штамп названия видов что размещеньі на листе? 2. При создании плана в Revit Structure можно создать только Structural plan? Floor plans никак? Спасибо!
Ответ принят Pending Moderation
1) Нет. 2) Никак. :)
Комментарий
Никаких комментариев пока не создано.
Ответ принят Pending Moderation
Жалко, надежда на версию 2013. Спасибо за ответ. В єтом плане архикад поудобнее. Буду дальше изучать ревит, есть в нем что то такое ... :)
Комментарий
Никаких комментариев пока не создано.
Ответ принят Pending Moderation
Незнаю как у вас, а у меня название листа часто не совпадает с содержимым: 1) На листе - Схема размещения лестницы в осях 1-2, Схема размещения площадки в осях 1-2. В штампе - Схема размещения лестницы и площадки в осях 1-2. 2) Локальные разрезы, виды и узлы не вносятся в название листа. 3) Название спецификаций не вносятся в название листа, если конешно она там не единственная. Вывод - это задача абстрактная, компом трудно решаемая, в такой постановке вряд-ле будет реализована.
Комментарий
Никаких комментариев пока не создано.
Ответ принят Pending Moderation
Частенько бьівает что куча деталей на листе. Ну єто не критично, но привьік что автоматом прога заполняет штамп.
Комментарий
Никаких комментариев пока не создано.
Ответ принят Pending Moderation
Можно сделать макрос или аддон для этой цели. Вот буквально за пару минут написал самый простой вариант
        public void DoNameSheet()
        {
            Autodesk.Revit.DB.Transaction транзакция = new Autodesk.Revit.DB.Transaction(ActiveUIDocument.Document, "DoNameSheet");
            транзакция.Start();

            try
            {
                Autodesk.Revit.DB.ViewSheet sheet = ActiveUIDocument.Document.ActiveView as Autodesk.Revit.DB.ViewSheet;
                if (sheet != null)
                {
                    ViewSet views = sheet.Views;
                    string sheetName = "";
                    foreach (Autodesk.Revit.DB.View view in views)
                    {
                        sheetName += view.Name+". ";
                    }
                    sheet.Name = sheetName;
                    Parameter sheetNameParam = sheet.get_Parameter("Имя листа");
                    sheetNameParam.Set(sheetName);
                }
            }
            catch (Exception ee)
            {
                MessageBox.Show(ee.Message);
                транзакция.RollBack();
            }
            транзакция.Commit();
        }
Комментарий
Никаких комментариев пока не создано.
Ответ принят Pending Moderation
Спасибо, завтра на работе попробую затестить.
Комментарий
Никаких комментариев пока не создано.
Ответ принят Pending Moderation
Простите пожалуйста, ни когда не работала с макросами, если не сложно объясните что за "фрукт " и для чего он нужен.
Комментарий
Никаких комментариев пока не создано.
Ответ принят Pending Moderation
В Ревите макросом называют кусок кода на языке программирования (Си-шарп или Вижуал бейсик) с помощью которого можно расширить возможности Ревита. В Ревит есть встроеная среда разработки (редактор) программного кода, в котором можно писать, компилировать и отлаживать макросы. Макросы бываю двух типов: уровня документа и уровня программы. Макросы уровня документа хранятся в самом документе и могут оперировать только в пределах одного своего документа. Чтобы перенести такой макрос в другой документ придется его там заново пересоздать. Зато будут работать на любом компьютере где открыт этот файл. Макросы уровня программы уже могут выполняться в любом открытом документе, но переносить их между компьютерами нельзя. Как создать макрос уровня приложения: 1) Закладка Управление -> Кнопка Диспетчер макросов 2) Активной должна быть закладка Приложение (обычно так по умолчанию) 3) Нажимаем кнопку Создать в группе Модуль, пишем имя модуля, например Module 4) Ждем пока появится окно среды разработки 5) После строчки с Revit Macros generated code вставляем строку и копируем туда код из поста выше 6) Заходим в меню Проект -> Добавить ссылку, ищем System.Windows.Forms 7) Вначале где идет перечисление используемых модулей добавляем using System.Windows.Forms; 8) Заходим в меню Сбока -> Собрать решение 9) Если все хорошо, возвращаемся в Ревит, в Диспечере макросов выбираем макрос DoNameSheet и нажимаем кнопку Выполнить
Комментарий
Никаких комментариев пока не создано.
Ответ принят Pending Moderation
Большое спасибо за содержательный ответ.
Комментарий
Никаких комментариев пока не создано.
  • Страница :
  • 1


На это сообщение еще не было создано никаких ответов.
Будьте первым, кто ответит на него.

Revitcity.ru сообщество проектировщиков работающих в revit.

Техподдержка: admin@revitcity.ru